# Interface methods for submodule: NiftiImageIO
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageIOBaseProxy as _ImageIOBaseProxy


# Interface methods for class: NiftiImageIO
class NiftiImageIOProxy(_ImageIOBaseProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def DetermineFileType(self, FileNameToRead):
		""""""
		...

	def CanReadFile(self, FileNameToRead) -> bool:
		""""""
		...

	def ReadImageInformation(self) -> None:
		""""""
		...

	def Read(self, buffer) -> None:
		""""""
		...

	def CanWriteFile(self, FileNameToWrite) -> bool:
		""""""
		...

	def WriteImageInformation(self) -> None:
		""""""
		...

	def Write(self, buffer) -> None:
		""""""
		...

	def GenerateStreamableReadRegionFromRequestedRegion(self, requestedRegion):
		""""""
		...

	def SetRescaleSlope(self, _arg: float) -> None:
		""""""
		...

	def SetRescaleIntercept(self, _arg: float) -> None:
		""""""
		...

	def SetLegacyAnalyze75Mode(self, _arg) -> None:
		""""""
		...

	def GetLegacyAnalyze75Mode(self):
		""""""
		...

	def SetConvertRASVectors(self, _arg: bool) -> None:
		""""""
		...

	def GetConvertRASVectors(self) -> bool:
		""""""
		...

	def ConvertRASVectorsOn(self) -> None:
		""""""
		...

	def ConvertRASVectorsOff(self) -> None:
		""""""
		...

	def SetConvertRASDisplacementVectors(self, _arg: bool) -> None:
		""""""
		...

	def GetConvertRASDisplacementVectors(self) -> bool:
		""""""
		...

	def ConvertRASDisplacementVectorsOn(self) -> None:
		""""""
		...

	def ConvertRASDisplacementVectorsOff(self) -> None:
		""""""
		...

	def SetSFORM_Permissive(self, _arg: bool) -> None:
		""""""
		...

	def GetSFORM_Permissive(self) -> bool:
		""""""
		...

	def SFORM_PermissiveOn(self) -> None:
		""""""
		...

	def SFORM_PermissiveOff(self) -> None:
		""""""
		...

